# Correct a shipment's carrier or tracking number

`PATCH /shop/shipments/{id}` · Rivier · shop

Correct a shipment's carrier or tracking number.

- Scope: shop:write
- Mcp: rivier_shop_shipment_update
- Sdk: shop.shipment.update
- Cli: shop shipment update

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "carrier": {
      "type": "string",
      "maxLength": 60
    },
    "tracking": {
      "type": "string",
      "maxLength": 100
    }
  },
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X PATCH 'https://api.rivier.ai/shop/shipments/{id}' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "carrier": "string",
  "tracking": "string"
}'
```
